org.h2gis.functions.io.json

## Class JsonWriteDriver

- java.lang.Object
- - org.h2gis.functions.io.json.JsonWriteDriver

    public class JsonWriteDriver
    extends Object

JSON class to write a table or a resultset to a file

Author:
  Erwan Bocher (CNRS)

### Constructor Summary

Constructors
Constructor and Description
`JsonWriteDriver(Connection connection)` A JSON driver to write a table to a JSON file.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(org.h2gis.api.ProgressVisitor progress, ResultSet resultSet, File file)` Write a resulset to a json file
`void` `write(org.h2gis.api.ProgressVisitor progress, ResultSet rs, File fileName, String encoding)` Write a resulset to a json file
`void` `write(org.h2gis.api.ProgressVisitor progress, String tableName, File fileName, String encoding)` Write the table to JSON format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonWriteDriver

    public JsonWriteDriver(Connection connection)

A JSON driver to write a table to a JSON file.

Parameters:
  `connection` -

### Method Detail

#### write

    public void write(org.h2gis.api.ProgressVisitor progress,
                      ResultSet resultSet,
                      File file)
               throws SQLException,
                      IOException

Write a resulset to a json file

Parameters:
  `progress` -
  `resultSet` -
  `file` -
Throws:
  `SQLException`
  `IOException`

#### write

    public void write(org.h2gis.api.ProgressVisitor progress,
                      ResultSet rs,
                      File fileName,
                      String encoding)
               throws SQLException,
                      IOException

Write a resulset to a json file

Parameters:
  `progress` -
  `rs` - input resulset
  `fileName` - the output file
  `encoding` -
Throws:
  `SQLException`
  `IOException`

#### write

    public void write(org.h2gis.api.ProgressVisitor progress,
                      String tableName,
                      File fileName,
                      String encoding)
               throws SQLException,
                      IOException

Write the table to JSON format.

Parameters:
  `progress` -
  `tableName` -
  `fileName` -
Throws:
  `SQLException`
  `IOException`